%define	major 0
%define libname	%mklibname radius %{major}
%define develname %mklibname radius -d

Summary:	Radiusclient library and tools
Name:		radiusclient
Version:	0.3.2
Release:	%mkrel 23
License:	BSD
Group:		System/Libraries
URL:		ftp://ftp.cityline.net/pub/radiusclient/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-am_ac.patch
Patch1:		radiusclient-0.3.2-automake-1.13.patch

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n	%{name}-utils
Summary:	Radiusclient library
Group:          System/Servers

%description -n	%{name}-utils
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n	%{libname}
Summary:	Radiusclient library
Group:          System/Libraries

%description -n	%{libname}
Libraries required for Radiusclient

%package -n	%{develname}
Summary:	Header files and development documentation for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libradius-devel = %{version}-%{release}
Obsoletes:	%{_lib}radius0-devel < 0.3.2-12

%description -n	%{develname}
Header files and development documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-shadow \
    --enable-scp

%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{name}-utils
%doc BUGS CHANGES README* doc/*.html
%dir %{_sysconfdir}/%{name}
%config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/*
%{_sbindir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.3.2-23.mga9
+ Revision: 1792266
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.2-22.mga8
+ Revision: 1516350
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.2-21.mga7
+ Revision: 1300769
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.3.2-20.mga6
+ Revision: 935419
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-19.mga5
+ Revision: 748498
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-18.mga5
+ Revision: 688603
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-17.mga4
+ Revision: 517927
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-16.mga3
+ Revision: 380176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.3.2-15.mga3
+ Revision: 344512
- patch1: fix build with automake 1.13

* Mon Oct 15 2012 fwang <fwang> 0.3.2-14.mga3
+ Revision: 305883
- cleanup spec

* Sun Jan 23 2011 ennael <ennael> 0.3.2-14.mga1
+ Revision: 34359
- remove mdkversion
- imported package radiusclient


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-14mdv2011.0
+ Revision: 607297
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-13mdv2010.1
+ Revision: 519063
- rebuild

* Sun Oct 04 2009 Funda Wang <fwang@mandriva.org> 0.3.2-12mdv2010.0
+ Revision: 453297
- new devel package policy

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-10mdv2009.1
+ Revision: 317539
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-8mdv2008.1
+ Revision: 179412
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-7mdv2007.0
+ Revision: 134454
- Import radiusclient

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-7mdv2007.1
- use the %%mkrel macro
- bunzip patches

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-6mdk
- rebuild

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.2-5mdk
- fix deps

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.2-4mdk
- rebuild
- misc spec file fixes

